#
# spec file for package fastjar (Version 0.95)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           fastjar
BuildRequires:  zlib-devel
License:        GPL v2 or later
Group:          Development/Languages/Java
AutoReqProv:    on
Provides:       libgcj:/usr/bin/fastjar
Version:        0.95
Release:        1.2.moblin2
Summary:        The fastjar Java package archiver
Url:            http://savannah.nongnu.org/projects/fastjar/
Source:         fastjar-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fastjar is an implementation of Sun's jar utility that comes with the
JDK, written entirely in C, and runs in a fraction of the time while
being 100% feature compatible.



%prep
%setup -q

%build
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README NEWS ChangeLog
%{_mandir}/man1/fastjar.1.gz
%{_mandir}/man1/grepjar.1.gz
%{_infodir}/fastjar.info.gz
%{_bindir}/fastjar
%{_bindir}/grepjar

